Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_DirectoryObject.AncestorSet

    java.lang.Object
      oracle.ifs.server.S_DirectoryObject.AncestorSet

Enclosing class:
  S_DirectoryObject

    protected final class S_DirectoryObject.AncestorSet

extends java.lang.Object

Manage a set of ancestor groups. This removes duplicates from a set of DirectoryObjects.

(Unpublished)

Field Summary
`protected static int` | `ANCESTORSET_DEFAULT`
`protected static int` | `ANCESTORSET_GROUP_IDS_ONLY`

Constructor Summary
`protected` | `S_DirectoryObject.AncestorSet()` Construct a AncestorSet, a default mode.
`protected` | `S_DirectoryObject.AncestorSet(int mode)` Construct a AncestorSet with a specific mode

Method Summary
`protected S_DirectoryGroup` | `addAncestor(S_DirectoryGroup ancestor)` add an ancestor to the set.
`protected java.lang.Long[]` | `getAllAncestorIds()` Return the set of ancestor IDs
`protected S_DirectoryGroup[]` | `getAllAncestors()` Return the set of ancestors

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANCESTORSET_DEFAULT

    protected static final int ANCESTORSET_DEFAULT

See Also:
  Constant Field Values

### ANCESTORSET_GROUP_IDS_ONLY

    protected static final int ANCESTORSET_GROUP_IDS_ONLY

See Also:
  Constant Field Values

Constructor Detail

### S_DirectoryObject.AncestorSet

    protected S_DirectoryObject.AncestorSet()

  Construct a AncestorSet, a default mode.

  (Unpublished)

### S_DirectoryObject.AncestorSet

    protected S_DirectoryObject.AncestorSet(int mode)

  Construct a AncestorSet with a specific mode

  Parameters:
    `mode` - Mode of operation
  (Unpublished)

Method Detail

### addAncestor

    protected S_DirectoryGroup addAncestor(S_DirectoryGroup ancestor)

  Description copied from class: `S_DirectoryObject.AncestorSet`
  add an ancestor to the set. Return null if the group was not yet previously added, and non-null otherwise.

  Parameters:
    `ancestor` - the ancestor to add
  (Unpublished)

### getAllAncestorIds

    protected java.lang.Long[] getAllAncestorIds()
                                          throws IfsException

  Description copied from class: `S_DirectoryObject.AncestorSet`
  Return the set of ancestor IDs

  Returns:
    the set of ancestor IDs
  Throws:
    `IfsException`
  (Unpublished)

### getAllAncestors

    protected S_DirectoryGroup[] getAllAncestors()
                                          throws IfsException

  Description copied from class: `S_DirectoryObject.AncestorSet`
  Return the set of ancestors

  Returns:
    the set of ancestors
  Throws:
    `IfsException`
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD